// sattool - visual satellite tracking and prediction tool.
// Copyright 2000 Tom Rothamel <tom-idbg@onegeek.org>
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.  

#include "sattool.h"

// Prints out a short synopsis of each pass in the input list.
int summary(int argc, char **argv) {
	Options *o;
	List *l;
	Thing *t;
	Sat *s;
	Pass *p;
	FILE *of;
	char buf[50];
	
	o = ParseGlobalOptions(argc, argv, NULL);
	l = ReadInput(o);
	of = OutputFile(o);
	
	while (t = l->next()) {
		s = getSat(t);
		p = getPass(t);

		if (!p) break;

		strfsgptime(buf, 50, "%02m/%02d %02H:%02M", p->max);
		
		fprintf(of, "%05d %s % 20s %s % 3.0f", s->norad, s->desig,
			s->name, buf, p->maxel);

		if (p->mmt != HUGE_VAL) {
			fprintf(of, " %+.1f", p->minmag);
		}
		
		fprintf(of, "\n");
	}

	delete l;
	fclose(of);
	delete o;
}
			
	
